Bug 84151 - New port devel/p5-Algorithm-LCS Fast (XS) implementation of the Longest Common Subsequence Algorithm
Summary: New port devel/p5-Algorithm-LCS Fast (XS) implementation of the Longest Commo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-27 00:50 UTC by Andrew Kilpatrick
Modified: 2005-09-14 21:21 UTC (History)
0 users

See Also:


Attachments
p5-Algorithm-LCS.shar (2.38 KB, text/plain)
2005-07-27 00:50 UTC, Andrew Kilpatrick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Kilpatrick 2005-07-27 00:50:19 UTC
Fast (XS) implementation of the Longest Common Subsequence Algorithm
Comment 1 Andrew Kilpatrick 2005-07-27 02:40:30 UTC
Please use this shar instead, I apologize for the confusion... this is my 
first attempt at submitting a port.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    p5-Algorithm-LCS
#    p5-Algorithm-LCS/distinfo
#    p5-Algorithm-LCS/Makefile
#    p5-Algorithm-LCS/pkg-descr
#    p5-Algorithm-LCS/pkg-plist
#
echo c - p5-Algorithm-LCS
mkdir -p p5-Algorithm-LCS > /dev/null 2>&1
echo x - p5-Algorithm-LCS/distinfo
sed 's/^X//' >p5-Algorithm-LCS/distinfo << 'END-of-p5-Algorithm-LCS/distinfo'
XMD5 (Algorithm-LCS-1.04.tar.gz) = 741a53415523eade93a006899cbe15aa
XSIZE (Algorithm-LCS-1.04.tar.gz) = 10149
END-of-p5-Algorithm-LCS/distinfo
echo x - p5-Algorithm-LCS/Makefile
sed 's/^X//' >p5-Algorithm-LCS/Makefile << 'END-of-p5-Algorithm-LCS/Makefile'
X# New ports collection makefile for:   Algorithm::LCS
X# Date created:        26 July 2005
X# Whom:                tiger
X#
X# $FreeBSD$
X#
X
XPORTNAME=          Algorithm-LCS
XPORTVERSION=  1.04
XCATEGORIES=   devel perl5
XMASTER_SITES= 
ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.cpan.org/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     http://www.cpan.dk/CPAN/authors/id/J/JO/JOESUF/ \
X 
${MASTER_SITE_RINGSERVER:S,%SUBDIR%,lang/perl/CPAN/authors/id/J/JO/JOESUF/&,} \
X     ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.dti.ad.jp/pub/lang/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.sunet.se/pub/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://mirror.hiwaay.net/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.bora.net/pub/CPAN/authors/id/J/JO/JOESUF/ \
X 
ftp://ftp.mirrorservice.org/sites/ftp.funet.fi/pub/languages/perl/CPAN/authors/id/J/JO/JOESUF/ 
\
X 
ftp://bioinfo.weizmann.ac.il/pub/software/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://csociety-ftp.ecn.purdue.edu/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.isu.net.sa/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.ucr.ac.cr/pub/Unix/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.cs.colorado.edu/pub/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://cpan.pop-mg.com.br/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.is.co.za/programming/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     http://cpan.shellhung.org/authors/id/J/JO/JOESUF/ \
X     http://at.cpan.org/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.chg.ru/pub/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.auckland.ac.nz/pub/perl/CPAN/authors/id/J/JO/JOESUF/
XPKGNAMEPREFIX=     p5-
X
XMAINTAINER=   tiger@whitetigersd.com
XCOMMENT=      Fast (XS) implementation of the Longest Common Subsequence 
Algorithm
X
XPERL_CONFIGURE=    yes
XMAN3=cw            Algorithm::LCS.3
X
X.include <bsd.port.mk>
END-of-p5-Algorithm-LCS/Makefile
echo x - p5-Algorithm-LCS/pkg-descr
sed 's/^X//' >p5-Algorithm-LCS/pkg-descr << 'END-of-p5-Algorithm-LCS/pkg-descr'
X--snip from README--
X
XAlgorithm::LCS reimplements Algorithm::Diff's core loop in XS,
Xand provides a simple OO interface to it.
X
XCOPYRIGHT AND LICENCE
X
XCopyright (C) 2003 Joe Schaefer
X
XThis library is free software; you can redistribute it and/or modify
Xit under the same terms as Perl itself.
END-of-p5-Algorithm-LCS/pkg-descr
echo x - p5-Algorithm-LCS/pkg-plist
sed 's/^X//' >p5-Algorithm-LCS/pkg-plist << 'END-of-p5-Algorithm-LCS/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/Algorithm/LCS.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/LCS.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/LCS.so
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS 
2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm 2>/dev/null || 
true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Algorithm 2>/dev/null || true
END-of-p5-Algorithm-LCS/pkg-plist
exit
Comment 2 Lars Thegler freebsd_committer 2005-09-14 19:55:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

I'll handle this.
Comment 3 Lars Thegler freebsd_committer 2005-09-14 19:55:55 UTC
State Changed
From-To: open->feedback

This port does not work with perl 5.6.2/5.005_03. Could you try to patch it or mark it IGNORE?
Comment 4 Andrew Kilpatrick 2005-09-14 20:46:21 UTC
I marked it as IGNORE for all versions prior to 5.8.

Thanks

Andrew

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Algorithm-LCS
#	p5-Algorithm-LCS/distinfo
#	p5-Algorithm-LCS/Makefile
#	p5-Algorithm-LCS/pkg-descr
#	p5-Algorithm-LCS/pkg-plist
#
echo c - p5-Algorithm-LCS
mkdir -p p5-Algorithm-LCS > /dev/null 2>&1
echo x - p5-Algorithm-LCS/distinfo
sed 's/^X//' >p5-Algorithm-LCS/distinfo << 'END-of-p5-Algorithm-LCS/distinfo'
XMD5 (Algorithm-LCS-1.04.tar.gz) = 741a53415523eade93a006899cbe15aa
XSIZE (Algorithm-LCS-1.04.tar.gz) = 10149
END-of-p5-Algorithm-LCS/distinfo
echo x - p5-Algorithm-LCS/Makefile
sed 's/^X//' >p5-Algorithm-LCS/Makefile << 'END-of-p5-Algorithm-LCS/Makefile'
X# New ports collection makefile for:   Algorithm::LCS
X# Date created:        26 July 2005
X# Whom:                tiger
X#
X# $FreeBSD$
X#
X
XPORTNAME=		Algorithm-LCS
XPORTVERSION=	1.04
XCATEGORIES=	devel perl5
XMASTER_SITES= 
ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.cpan.org/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     http://www.cpan.dk/CPAN/authors/id/J/JO/JOESUF/ \
X 
${MASTER_SITE_RINGSERVER:S,%SUBDIR%,lang/perl/CPAN/authors/id/J/JO/JOESUF/&,} \
X     ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.dti.ad.jp/pub/lang/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.sunet.se/pub/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://mirror.hiwaay.net/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.bora.net/pub/CPAN/authors/id/J/JO/JOESUF/ \
X 
ftp://ftp.mirrorservice.org/sites/ftp.funet.fi/pub/languages/perl/CPAN/authors/id/J/JO/JOESUF/ 
\
X 
ftp://bioinfo.weizmann.ac.il/pub/software/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://csociety-ftp.ecn.purdue.edu/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.isu.net.sa/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.ucr.ac.cr/pub/Unix/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.cs.colorado.edu/pub/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://cpan.pop-mg.com.br/pub/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.is.co.za/programming/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     http://cpan.shellhung.org/authors/id/J/JO/JOESUF/ \
X     http://at.cpan.org/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.chg.ru/pub/lang/perl/CPAN/authors/id/J/JO/JOESUF/ \
X     ftp://ftp.auckland.ac.nz/pub/perl/CPAN/authors/id/J/JO/JOESUF/
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	tiger@whitetigersd.com
XCOMMENT=		Fast (XS) implementation of the Longest Common Subsequence Algorithm
X
XPERL_CONFIGURE=	yes
XMAN3=			Algorithm::LCS.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500800
XIGNORE=   Perl 5.8 or newer required. Install lang/perl5.8 and try again.
X.endif
X
X.include <bsd.port.post.mk>
X
END-of-p5-Algorithm-LCS/Makefile
echo x - p5-Algorithm-LCS/pkg-descr
sed 's/^X//' >p5-Algorithm-LCS/pkg-descr << 'END-of-p5-Algorithm-LCS/pkg-descr'
X--snip from README--
X
XAlgorithm::LCS reimplements Algorithm::Diff's core loop in XS,
Xand provides a simple OO interface to it.
X
XCOPYRIGHT AND LICENCE
X
XCopyright (C) 2003 Joe Schaefer
X
XThis library is free software; you can redistribute it and/or modify
Xit under the same terms as Perl itself.
END-of-p5-Algorithm-LCS/pkg-descr
echo x - p5-Algorithm-LCS/pkg-plist
sed 's/^X//' >p5-Algorithm-LCS/pkg-plist << 'END-of-p5-Algorithm-LCS/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/Algorithm/LCS.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/LCS.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS/LCS.so
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/LCS 
2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm 2>/dev/null || 
true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Algorithm 2>/dev/null || true
END-of-p5-Algorithm-LCS/pkg-plist
exit
Comment 5 Lars Thegler freebsd_committer 2005-09-14 21:20:35 UTC
State Changed
From-To: feedback->closed

New port added, with modifications. Thanks!